ID: bacrcr001ord
_schema-version: 3.2.0
version: 0.0.1
parameters:
  enable-parallel-deployments: true
modules:
  - name: bacrcr001ord
    type: nodejs
    path: approuter
    parameters:
      disk-quota: 500M
      memory: 256M
    properties:
      SESSION_TIMEOUT: 20
      SEND_XFRAMEOPTIONS: false
      CJ_PROTECT_WHITELIST:
        - host: "*.cpp.cfapps.us10.hana.ondemand.com"
          protocol: HTTPS
      WS_ALLOWED_ORIGINS:
        - host: "*.cpp.cfapps.us10.hana.ondemand.com"
          protocol: HTTPS
    requires:
      - name: dms4100-uaa
      - name: conn_dms4100
      - name: dest_dms4100      
      - name: dms4100-bacrcr001-api
        group: destinations
        properties:
          forwardAuthToken: true
          name: BACRCR001_SRV_API
          url: "https://corporacionzapatacf1-scpcfdev-dms4100-bacrcr001-srv.cfapps.us10.hana.ondemand.com"
      - name: dms4100-bacrcr002-api
        group: destinations
        properties:
          forwardAuthToken: true
          name: BACRCR002_SRV_API
          url: "https://corporacionzapatacf1-scpcfdev-dms4100-bacrcr002-srv.cfapps.us10.hana.ondemand.com"
      - name: dms4100-bacrcr003-api
        group: destinations
        properties:
          forwardAuthToken: true
          name: BACRCR003_SRV_API
          url: "https://corporacionzapatacf1-scpcfdev-dms4100-bacrcr003-srv.cfapps.us10.hana.ondemand.com"
      - name: aws-s3-api
        group: destinations
        properties:
          forwardAuthToken: true
          name: AWS_S3_API
          url: "https://corporacionzapatacf1-scpcfdev-aws-s3-srv.cfapps.us10.hana.ondemand.com"   
      - name: dms4100-security-api
        group: destinations
        properties:
          forwardAuthToken: true
          name: DMS4100-SECURITY-API
          url: "https://corporacionzapatacf1-scpcfdev-dms4100-security-srv.cfapps.us10.hana.ondemand.com"  
    build-parameters:
      builder: custom
      commands:
        - npm install
        - npm run build:ui --prefix ..
resources:
  - name: dms4100-uaa
    type: org.cloudfoundry.managed-service
    parameters:
      service-plan: application
      service: xsuaa
  - name: dest_dms4100
    parameters:
      service-plan: lite
      service: destination
    type: org.cloudfoundry.managed-service
  - name: conn_dms4100
    parameters:
      service-plan: lite
      service: connectivity
    type: org.cloudfoundry.managed-service  
  - name: dms4100-bacrcr001-api
    type: configuration
    parameters:
      provider-nid: mta
      provider-id: dms4100-bacrcr001:dms4100-bacrcr001-api
      version: ">=1.0.0"
      target:
        org: ${org} # Specifies the org of the provider MTA
        space: ${space} # Wildcard * searches in all spaces
  - name: dms4100-bacrcr002-api
    type: configuration
    parameters:
      provider-nid: mta
      provider-id: dms4100-bacrcr002:dms4100-bacrcr002-api
      version: ">=1.0.0"
      target:
        org: ${org} # Specifies the org of the provider MTA
        space: ${space} # Wildcard * searches in all spaces
  - name: dms4100-bacrcr003-api
    type: configuration
    parameters:
      provider-nid: mta
      provider-id: dms4100-bacrcr003:dms4100-bacrcr003-api
      version: ">=1.0.0"
      target:
        org: ${org} # Specifies the org of the provider MTA
        space: ${space} # Wildcard * searches in all spaces
  - name: aws-s3-api
    type: configuration
    parameters:
      provider-nid: mta
      provider-id: aws-s3:aws-s3-api
      version: ">=1.0.0"
      target:
        org: ${org} # Specifies the org of the provider MTA
        space: ${space} # Wildcard * searches in all spaces
  - name: dms4100-security-api
    type: configuration
    parameters:
      provider-nid: mta
      provider-id: dms4100-security:dms4100-security-api
      version: ">=1.0.0"
      target:
        org: ${org} # Specifies the org of the provider MTA
        space: ${space} # Wildcard * searches in all spaces
